loci.formats.in.LeicaMicrosystemsMetadata

## Enum Channel.ChannelType

- java.lang.Object
- - java.lang.Enum<Channel.ChannelType>
  - - loci.formats.in.LeicaMicrosystemsMetadata.Channel.ChannelType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Channel.ChannelType>
  Enclosing class:
    Channel

      public static enum Channel.ChannelType
      extends java.lang.Enum<Channel.ChannelType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLUE`
    `GREEN`
    `MONO`
    `RED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Channel.ChannelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Channel.ChannelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MONO

          public static final Channel.ChannelType MONO

    - #### RED

          public static final Channel.ChannelType RED

    - #### GREEN

          public static final Channel.ChannelType GREEN

    - #### BLUE

          public static final Channel.ChannelType BLUE

  - ### Method Detail

    - #### values

          public static Channel.ChannelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Channel.ChannelType c : Channel.ChannelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Channel.ChannelType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2026 Open Microscopy Environment